OfonoRadioSettings Class Reference

This class is used to access oFono radio settings API. More...

`#include <ofonoradiosettings.h>`

Inheritance diagram for OfonoRadioSettings:

## Public Slots

void | setTechnologyPreference (QString preference)
void | setGsmBand (QString gsmBand)
void | setUmtsBand (QString umtsBand)
void | setFastDormancy (bool fastDormancy)

## Signals

void | technologyPreferenceChanged (const QString &preference)
void | setTechnologyPreferenceFailed ()
void | gsmBandChanged (const QString &gsmBand)
void | setGsmBandFailed ()
void | umtsBandChanged (const QString &umtsBand)
void | setUmtsBandFailed ()
void | fastDormancyChanged (bool fastDormancy)
void | setFastDormancyFailed ()
Signals inherited from OfonoModemInterface
void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoRadioSettings (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, QObject *parent=0)
QString | technologyPreference () const
QString | gsmBand () const
QString | umtsBand () const
bool | fastDormancy () const
Public Member Functions inherited from OfonoModemInterface
| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Properties

QString | technologyPreference
QString | gsmBand
QString | umtsBand
bool | fastDormancy
Properties inherited from OfonoModemInterface
bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Additional Inherited Members

Protected Attributes inherited from OfonoModemInterface
OfonoInterface * | m_if

## Detailed Description

This class is used to access oFono radio settings API.

The API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/radio-settings-api.txt

The documentation for this class was generated from the following file:

- lib/ofonoradiosettings.h